Summary:	CAD program to build virtual LEGO models
Name:		leocad
Version:	19.07.1
Release:	%mkrel 1
License:	GPLv2
Group:		Education
Url:		https://www.leocad.org
Source0:	https://github.com/leozide/leocad/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		leocad-17.02-build-fix.patch
BuildRequires:	qttools5
BuildRequires:	qtbase5-common-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtopengl5-devel
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	leocad-data

%description
LeoCAD is a CAD program that can be used to create virtual LEGO models.

It has an easy to use interface and currently features over 6000 different
pieces created by the LDraw community.

%prep
%setup -q
%apply_patches

sed -i -e 's,\(resources/leocad.\)png,\1svg,g' leocad.pro

# switch to UTF-8
for i in docs/*.txt; do
	mv $i $i.old
	iconv -f ISO-8859-1 -t UTF-8 -o $i $i.old
done

%build
%qmake_qt5 DISABLE_UPDATE_CHECK=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#for data
mkdir -p %{buildroot}%{_datadir}/%{name}

#handle doc in files section
rm -rf %{buildroot}%{_docdir}

%files
%doc docs/*.txt
%{_bindir}/leocad
%{_datadir}/applications/leocad.desktop
%{_datadir}/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
%{_datadir}/icons/hicolor/scalable/apps/leocad.svg
%dir %{_datadir}/%{name}/
%{_mandir}/man1/leocad.1*
%{_datadir}/mime/packages/leocad.xml
%{_datadir}/metainfo


%changelog
* Thu Jul 25 2019 tex - 19.07.1-1pclos2019
- new version 19.07.1
